Subject: [bug#50377] [PATCH 0/2] Support 'git describe' style commit IDs in transformations

From: Marius Bakke <[email-masked]>
Date: Sat, 4 Sep 2021 20:08:45 +0200

The first patch makes it possible to pass a 'git describe' style commit
identifier to --with-commit.  The second patch arranges so that it is
used as the package version, sans any leading 'v', if applicable.

Marius Bakke (2):
  git: 'resolve-reference' handles 'git describe'-style commit IDs.
  transformations: 'git describe' style commit IDs are used as version.

 guix/git.scm              | 37 ++++++++++++++++++++-----------------
 guix/transformations.scm  | 34 +++++++++++++++++++++++++---------
 tests/transformations.scm | 19 +++++++++++++++++++
 3 files changed, 64 insertions(+), 26 deletions(-)

-- 
2.31.1